Package org.jfree.layouting.renderer

## Class StringStore

- java.lang.Object
- - org.jfree.layouting.renderer.AbstractStore
  - - org.jfree.layouting.renderer.StringStore

-     public class StringStore
      extends AbstractStore

  For the first throw, the content remains very simple. We support the 4 modes: start - the initial content is used. first - the first value set in this page is used (else the initial content) last - the last value is used. last-except - the last value is used on the next page. (Contrary to the specification, we fall back to the start-value instead of using an empty value). The string store is used for all counter, counters and string properties.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringStore​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String name, java.lang.String contents)` |
    `java.lang.String` | `get​(java.lang.String name)` |
    `java.lang.String` | `get​(java.lang.String name, CSSValue pagePolicy)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.AbstractStore

      `addInternal, clone, derive, getFirstInternal, getInitialInternal, getLastInternal`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringStore

          public StringStore​()

  - ### Method Detail

    - #### add

          public void add​(java.lang.String name,
                          java.lang.String contents)

    - #### get

          public java.lang.String get​(java.lang.String name)

    - #### get

          public java.lang.String get​(java.lang.String name,
                                      CSSValue pagePolicy)